[arch-commits] Commit in (8 files)

Ionut Biru ibiru at archlinux.org
Fri Jun 25 11:13:40 UTC 2010


    Date: Friday, June 25, 2010 @ 07:13:40
  Author: ibiru
Revision: 84017

added soapy package needed for twisted. FS#19698

Added:
  python-fpconst/
  python-fpconst/repos/
  python-fpconst/trunk/
  python-fpconst/trunk/PKGBUILD
  python-soappy/
  python-soappy/repos/
  python-soappy/trunk/
  python-soappy/trunk/PKGBUILD

-------------------------------+
 python-fpconst/trunk/PKGBUILD |   21 +++++++++++++++++++++
 python-soappy/trunk/PKGBUILD  |   24 ++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

Added: python-fpconst/trunk/PKGBUILD
===================================================================
--- python-fpconst/trunk/PKGBUILD	                        (rev 0)
+++ python-fpconst/trunk/PKGBUILD	2010-06-25 11:13:40 UTC (rev 84017)
@@ -0,0 +1,21 @@
+# $Id$
+# Maintainer : Ionut Biru <ibiru at archlinux.org>
+# Contributor: Anton Bazhenov <anton.bazhenov at gmail>
+# Contributor: Ryan Coyner <rcoyner at gmail.com>
+
+pkgname=python-fpconst
+_pkgbasename=fpconst
+pkgver=0.7.3
+pkgrel=1
+pkgdesc="Utilities for handling IEEE 754 floating point special values"
+arch=('any')
+url="http://pypi.python.org/pypi/fpconst/"
+license=('APACHE')
+depends=('python')
+source=(http://downloads.sourceforge.net/rsoap/${_pkgbasename}-${pkgver}.tar.gz)
+md5sums=('13884b81da3335b2ec4b6ea1dc26b6fa')
+
+build() {
+  cd "${srcdir}/${_pkgbasename}-${pkgver}"
+  python setup.py install --root="${pkgdir}" || return 1
+}


Property changes on: python-fpconst/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: python-soappy/trunk/PKGBUILD
===================================================================
--- python-soappy/trunk/PKGBUILD	                        (rev 0)
+++ python-soappy/trunk/PKGBUILD	2010-06-25 11:13:40 UTC (rev 84017)
@@ -0,0 +1,24 @@
+# $Id$
+# Maintainer : Ionut Biru <ibiru at archlinux.org>
+# Contributor: Anton Bazhenov <anton.bazhenov at gmail>
+# Contributor: Ryan Coyner <rcoyner at gmail.com>
+
+pkgname=python-soappy
+pkgver=0.12.0
+pkgrel=8
+pkgdesc="A module which implements a high-level interface to SOAP functions"
+arch=('any')
+url="http://pywebsvcs.sourceforge.net/"
+license=('custom')
+depends=('python-fpconst' 'pyxml')
+optdepends=('python-m2crypto: for support for server-side SSL')
+source=(http://downloads.sourceforge.net/pywebsvcs/SOAPpy-${pkgver}.tar.gz)
+md5sums=('d0d29f9b6fb27bfadc69b64a36321e20')
+
+build() {
+  cd "${srcdir}/SOAPpy-${pkgver}"
+  sed -i "s/from __future__ import nested_scopes/#\0/g" SOAPpy/*.py
+  python setup.py build || return 1
+  python setup.py install --root="${pkgdir}" || return 1
+  install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}


Property changes on: python-soappy/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id




More information about the arch-commits mailing list